For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddAdminUser
        • POSTDelAdminUser
        • POSTSetAdminUserInfo
        • POSTGetAdminUsers
        • POSTAttachAdminRole
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAdmin Users

GetAdminUsers

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAdminUsers
POST
/platform_api/GetAdminUsers
$curl -X POST https://api.voximplant.com/platform_api/GetAdminUsers \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "admin_user_id": 1,
5 "admin_user_name": "adm1",
6 "admin_user_display_name": "adm1",
7 "admin_user_active": true,
8 "modified": "2014-12-05 10:27:30",
9 "access_entries": [
10 "GetAccountInfo",
11 "GetCallHistory"
12 ]
13 },
14 {
15 "admin_user_id": 2,
16 "admin_user_name": "adm2",
17 "admin_user_display_name": "adm2",
18 "admin_user_active": true,
19 "modified": "2014-12-05 10:27:30",
20 "access_entries": [
21 "GetAccountInfo",
22 "SetAccountInfo"
23 ]
24 }
25 ],
26 "total_count": 2,
27 "count": 2
28}

Gets the admin users of the specified account. Note that both account types - parent and child - can have its own admins.

Example request: Get two first admin users.

Was this page helpful?
Previous

SetAdminUserInfo

Next

AttachAdminRole

Built with

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

required_admin_user_idintegerOptional
The admin user ID to filter
required_admin_user_namestringOptional
The admin user name part to filter
admin_user_display_namestringOptional
The admin user display name part to filter
admin_user_activebooleanOptional
Whether the admin user is active to filter
with_rolesbooleanOptionalDefaults to false
Whether to get the attached admin roles
with_access_entriesbooleanOptionalDefaults to false
Whether to get the admin user permissions
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
total_countinteger
The total found admin user count
countinteger
The returned admin user count

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.